package com.gic.auth.entity;

import java.util.Date;

/**
 * tab_sys_resource
 */
public class TabSysResource {
    /**
     * 
     */
    private Integer resourceId;

    /**
     * 资源名称
     */
    private String resourceName;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 会员卡资源控件id
     */
    private Long memberCardResource;

    /**
     * 服务号资源
     */
    private Long fwhResource;

    /**
     * 小程序资源
     */
    private Long appletResource;

    /**
     * 门店资源
     */
    private Long storeResource;

    /**
     * 商品资源
     */
    private Long goodsResource;

    /**
     * 订单资源  
 [
     {
         "channel":1,        // 渠道 1：线下门店， 2:达摩微商城， 3：微盟微商城
         "storeContent":1    // 门店id或门店选择器id， 多个逗号隔开
     }
 ]
     */
    private String orderResource;

    /**
     * 应用资源 
 [
     {
         appId:1,    // 应用id
         appName:微商城   // 应用名称
         child:[
             appId: 10,          // 子应用id
             appName: 短信发送   // 子应用名称
         ]
     }
 ]
     */
    private String appResource;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    /**
     * 
     */
    private Integer status;

    public Integer getResourceId() {
        return resourceId;
    }

    public void setResourceId(Integer resourceId) {
        this.resourceId = resourceId;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getMemberCardResource() {
        return memberCardResource;
    }

    public void setMemberCardResource(Long memberCardResource) {
        this.memberCardResource = memberCardResource;
    }

    public Long getFwhResource() {
        return fwhResource;
    }

    public void setFwhResource(Long fwhResource) {
        this.fwhResource = fwhResource;
    }

    public Long getAppletResource() {
        return appletResource;
    }

    public void setAppletResource(Long appletResource) {
        this.appletResource = appletResource;
    }

    public Long getStoreResource() {
        return storeResource;
    }

    public void setStoreResource(Long storeResource) {
        this.storeResource = storeResource;
    }

    public Long getGoodsResource() {
        return goodsResource;
    }

    public void setGoodsResource(Long goodsResource) {
        this.goodsResource = goodsResource;
    }

    public String getOrderResource() {
        return orderResource;
    }

    public void setOrderResource(String orderResource) {
        this.orderResource = orderResource;
    }

    public String getAppResource() {
        return appResource;
    }

    public void setAppResource(String appResource) {
        this.appResource = appResource;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}