package com.gic.auth.service;

import com.gic.auth.dto.MenuItemDTO;

import java.util.List;
/**
 * 权限项、操作项关联接口
 * @ClassName: MenuItemService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/18 5:36 PM 
 */
public interface MenuItemService {

    /**
     * 批量新增
     * @Title: saveFetch 
     * @Description:
      * @author guojuxing
     * @param list 
     * @return  void 
      */
    void saveFetch(List<MenuItemDTO> list);

    /**
     * 删除操作项根据权限项ID
     * @Title: deleteByMenuId 
     * @Description:
      * @author guojuxing
     * @param menuId 
     * @return  void 
      */
    void deleteByMenuId(Integer menuId);
}
