package com.gic.auth.constant;
/**
 * gic版本
 * @ClassName: GicVersionEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/18 10:26 AM 
 */
public enum GicVersionEnum {
    NORMAL(1, "标准版"),
    CLIQUE(2, "集团版");

    private int code;
    private String message;

    private GicVersionEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public static String getMessageByCode(Integer code) {
        if (code == null) {
            return "--";
        }
        for (GicVersionEnum gicVersionEnum : values()) {
            if (gicVersionEnum.code == code.intValue()) {
                return gicVersionEnum.getMessage();
            }
        }
        return "--";
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
