package com.gic.auth.dao.mapper;

import com.gic.auth.entity.TabAuditorProjectRel;

public interface TabAuditorProjectRelMapper {
    /**
     * 根据主键删除
     *
     * @param auditorProjectRelId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer auditorProjectRelId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAuditorProjectRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAuditorProjectRel record);

    /**
     * 根据主键查询
     *
     * @param auditorProjectRelId 主键
     * @return 实体对象
     */
    TabAuditorProjectRel selectByPrimaryKey(Integer auditorProjectRelId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAuditorProjectRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAuditorProjectRel record);
}