package com.gic.auth.entity;

import java.util.Date;

/**
 * tab_sys_menu
 */
public class TabSysMenu {
    /**
     * 
     */
    private Integer menuId;

    /**
     * 菜单名称
     */
    private String menuName;

    /**
     * 应用项目 默认gic / 应用市场的appID
     */
    private String project;

    /**
     * 菜单路由
     */
    private String menuUrl;

    /**
     * 上级菜单id
     */
    private Integer parentId;

    /**
     * 0当前页1新开页
     */
    private Integer target;

    /**
     * 
     */
    private String iconUrl;

    /**
     * 
     */
    private Integer sort;

    /**
     * 0删除1有效
     */
    private Integer status;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    /**
     * 
     */
    private Integer level;

    /**
     * 是否显示在菜单栏的菜单,0否1是
     */
    private Integer isShow;

    /**
     * 页面code
     */
    private String menuCode;

    /**
     * 父级code
     */
    private String parentCode;

    /**
     * 多选，例如_1_2_格式，如果是GIC菜单 1gic标准版  2gic集团版；如果是应用菜单 1：基础班 2:高级版
     */
    private String menuVersion;

    /**
     * 0:页面 1:权限项 2:操作项
     */
    private Integer menuType;

    /**
     * 应用版本名称
     */
    private String menuVersionName;

    public Integer getMenuId() {
        return menuId;
    }

    public void setMenuId(Integer menuId) {
        this.menuId = menuId;
    }

    public String getMenuName() {
        return menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public String getProject() {
        return project;
    }

    public void setProject(String project) {
        this.project = project;
    }

    public String getMenuUrl() {
        return menuUrl;
    }

    public void setMenuUrl(String menuUrl) {
        this.menuUrl = menuUrl;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public Integer getTarget() {
        return target;
    }

    public void setTarget(Integer target) {
        this.target = target;
    }

    public String getIconUrl() {
        return iconUrl;
    }

    public void setIconUrl(String iconUrl) {
        this.iconUrl = iconUrl;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getIsShow() {
        return isShow;
    }

    public void setIsShow(Integer isShow) {
        this.isShow = isShow;
    }

    public String getMenuCode() {
        return menuCode;
    }

    public void setMenuCode(String menuCode) {
        this.menuCode = menuCode;
    }

    public String getParentCode() {
        return parentCode;
    }

    public void setParentCode(String parentCode) {
        this.parentCode = parentCode;
    }

    public String getMenuVersion() {
        return menuVersion;
    }

    public void setMenuVersion(String menuVersion) {
        this.menuVersion = menuVersion;
    }

    public Integer getMenuType() {
        return menuType;
    }

    public void setMenuType(Integer menuType) {
        this.menuType = menuType;
    }

    public String getMenuVersionName() {
        return menuVersionName;
    }

    public void setMenuVersionName(String menuVersionName) {
        this.menuVersionName = menuVersionName;
    }
}