package com.gic.auth.web.vo;

import java.io.Serializable;
import java.util.Map;

/**
 * 页面、子页面、操作项等详情
 * @ClassName: GicMenuDetailVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/18 4:47 PM 
 */
public class MenuDetailVO implements Serializable{
    private static final long serialVersionUID = -6360620959633903701L;

    /**
     *
     */
    private Integer menuId;

    /**
     * 菜单名称
     */
    private String menuName;

    /**
     * 菜单路由
     */
    private String menuUrl;

    /**
     * 上级菜单id
     */
    private Integer parentId;

    /**
     * 0当前页1新开页
     */
    private Integer target;

    /**
     *
     */
    private String iconUrl;

    /**
     * 是否显示在菜单栏的菜单,0否1是
     */
    private Integer isShow;

    /**
     * 页面code
     */
    private String menuCode;

    /**
     * 父级code
     */
    private String parentCode;

    /**
     * 多选，例如_1_2_格式，如果是GIC菜单 1gic标准版  2gic集团版；如果是应用菜单 1：基础班 2:高级版
     */
    private String menuVersion;

    private Map<String, String> map;

    public Integer getMenuId() {
        return menuId;
    }

    public void setMenuId(Integer menuId) {
        this.menuId = menuId;
    }

    public String getMenuName() {
        return menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public String getMenuUrl() {
        return menuUrl;
    }

    public void setMenuUrl(String menuUrl) {
        this.menuUrl = menuUrl;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public Integer getTarget() {
        return target;
    }

    public void setTarget(Integer target) {
        this.target = target;
    }

    public String getIconUrl() {
        return iconUrl;
    }

    public void setIconUrl(String iconUrl) {
        this.iconUrl = iconUrl;
    }

    public Integer getIsShow() {
        return isShow;
    }

    public void setIsShow(Integer isShow) {
        this.isShow = isShow;
    }

    public String getMenuCode() {
        return menuCode;
    }

    public void setMenuCode(String menuCode) {
        this.menuCode = menuCode;
    }

    public String getParentCode() {
        return parentCode;
    }

    public void setParentCode(String parentCode) {
        this.parentCode = parentCode;
    }

    public String getMenuVersion() {
        return menuVersion;
    }

    public void setMenuVersion(String menuVersion) {
        this.menuVersion = menuVersion;
    }

    public Map<String, String> getMap() {
        return map;
    }

    public void setMap(Map<String, String> map) {
        this.map = map;
    }
}
